import request from '@/utils/request'

// 查询公告列表
export function listNotice(query) {
  return request({
    url: '/system/notice/list',
    method: 'get',
    params: query
  })
}

// 查询未读公告列表
export function listUnNotice(query) {
  return request({
    url: '/system/notice/unList',
    method: 'get',
    params: query
  })
}

// 查询公告详细
export function getNotice(noticeId) {
  return request({
    url: '/system/notice/' + noticeId,
    method: 'get'
  })
}

// 新增已读记录
export function insertReadHis(noticeId) {
  return request({
    url: '/system/userNotice/insertReadHis/'+ noticeId,
    method: 'get',
  })
}

// 查询用户公告关联记录
export function listReadHis(noticeId) {
  return request({
    url: '/system/userNotice/listReadHis/'+noticeId ,
    method: 'post',
    data: data
  })
}

// 根据用户id查询用户公告关联记录
export function listByUserId() {
  return request({
    url: '/system/userNotice/listByUserId/' ,
    method: 'get'
  })
}

// 新增公告
export function addNotice(data) {
  return request({
    url: '/system/notice',
    method: 'post',
    data: data
  })
}

// 修改公告
export function updateNotice(data) {
  return request({
    url: '/system/notice',
    method: 'put',
    data: data
  })
}

// 删除公告
export function delNotice(noticeId) {
  return request({
    url: '/system/notice/' + noticeId,
    method: 'delete'
  })
}

